%define name cfengine
%define ver 1.5.4
%define rel 1mdk

Summary: Cfengine helps administer remote BSD and System-5-like systems
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Monitoring
Source: ftp://ftp.iu.hioslo.no/pub/cfengine-%{ver}.tar.bz2
Source1: cfengine.conf
Source2: cfengine.cron
Source3: cfd.conf
Source4: cfd.init
BuildRoot: /tmp/cfengine-root
PreReq: /sbin/chkconfig /sbin/install-info
BuildRequires: flex bison

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep
%setup

%build
%configure --datadir=/etc
make
cd doc
# redirect input to prevent TeX to stop
make < /dev/null

%install
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr \
	datadir=$RPM_BUILD_ROOT/etc install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cfengine/cfengine.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/cfengine/cfd.conf
mkdir -p $RPM_BUILD_ROOT/var/backups/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/cfd

cd doc
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install-man install-info

%define info_files cfengine-Tutorial cfengine-Reference
%post
/sbin/chkconfig --add cfd
for f in %{info_files}; do
  /sbin/install-info /usr/info/$f.info.bz2 /usr/info/dir --section="GNU admin"
done

%preun
if [ "$1" = 0 ]; then
    /sbin/chkconfig --del cfd
    for f in %{info_files}; do
        /sbin/install-info --delete /usr/info/$f.info.bz2 /usr/info/dir \
        --section="GNU admin"
    done
fi

%files
%defattr(-,root,root)
%doc README.install
%doc VERSION.DIFF
%doc doc/*.ps
%doc inputs/cf*
%doc /usr/info/*
%doc /usr/man/man*/*
%dir /var/backups/cfengine

/usr/sbin/*

%config /etc/cfengine/cfengine.conf
%config /etc/cfengine/cfd.conf
%config /etc/rc.d/init.d/cfd
%config /etc/cron.daily/cfengine

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.


